"""First

Revision ID: ba3884f9c90f
Revises: 
Create Date: 2023-05-28 11:36:09.942940

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = 'ba3884f9c90f'
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('amo_install',
                    sa.Column('id', sa.BigInteger(), autoincrement=True, nullable=False),
                    sa.Column('code', sa.String(), nullable=True),
                    sa.Column('last_code', sa.Integer(), nullable=True),
                    sa.Column('referrer', sa.String(), nullable=True),
                    sa.Column('platform', sa.Integer(), nullable=True),
                    sa.Column('amo_account_id', sa.Integer(), nullable=True),
                    sa.Column('client_id', sa.String(), nullable=True),
                    sa.Column('client_secret', sa.String(), nullable=True),
                    sa.Column('from_widget', sa.Integer(), nullable=True),
                    sa.Column('refresh_token', sa.String(), nullable=True),
                    sa.Column('access_token', sa.String(), nullable=True),
                    sa.Column('pair_token', sa.String(), nullable=True),
                    sa.Column('expires_in', sa.Integer(), nullable=True),
                    sa.Column('active', sa.Boolean(), nullable=True),
                    sa.Column('created_at', sa.DateTime(), nullable=True),
                    sa.Column('updated_at', sa.DateTime(), nullable=True),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_index(op.f('ix_amo_install_access_token'), 'amo_install', ['access_token'], unique=False)
    op.create_index(op.f('ix_amo_install_amo_account_id'), 'amo_install', ['amo_account_id'], unique=False)
    op.create_index(op.f('ix_amo_install_client_id'), 'amo_install', ['client_id'], unique=False)
    op.create_index(op.f('ix_amo_install_id'), 'amo_install', ['id'], unique=True)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_amo_install_id'), table_name='amo_install')
    op.drop_index(op.f('ix_amo_install_client_id'), table_name='amo_install')
    op.drop_index(op.f('ix_amo_install_amo_account_id'), table_name='amo_install')
    op.drop_index(op.f('ix_amo_install_access_token'), table_name='amo_install')
    op.drop_table('amo_install')
    # ### end Alembic commands ###
